import { AfterViewInit, ElementRef, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TextReadComponent implements OnInit, AfterViewInit {
    elementRef: ElementRef;
    private renderer2;
    hideCursor?: boolean;
    cursorClass?: string;
    overlayClass?: string;
    relativeTo?: HTMLElement;
    rowHeight?: number;
    speed?: number;
    textLength?: number;
    overlay?: ElementRef<HTMLDivElement>;
    reading: boolean;
    revealed: boolean;
    rows: number[];
    private timerSubscription;
    constructor(elementRef: ElementRef, renderer2: Renderer2);
    start(): void;
    reveal(): void;
    restart(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private refresh;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextReadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextReadComponent, "text-read", never, { "hideCursor": "hideCursor"; "cursorClass": "cursorClass"; "overlayClass": "overlayClass"; "relativeTo": "relativeTo"; "rowHeight": "rowHeight"; "speed": "speed"; "textLength": "textLength"; }, {}, never, never, false>;
}
